<< _plq_conv_on_interval | plq | plq_build >>

CCA (Computational Convex Analysis) >> plq > plq_add

# plq_add

Piecewise linear quadratic (plq), addition of two plq functions

### Calling Sequence

    plqfg = plq_add(plqf,plqg)

### Parameters

plqf

  matrix. A plq function with dimensions n x 4.

plqg

  matrix. A plq function with dimensions n' x 4.

plqfg

  matrix. A plq function with dimensions n'' x 4.

### Description

Computes the addition of two plq functions (plqf, plqg) and stores the result in plqfg.

### Examples

    plqf = [-1,1,0,0;1,0,0,1;%inf,1,0,0];
    plqg = [0,1,0,0;2,0,1,0;%inf,1,0,-2];
    result=plq_add(plqf,plqg);

### See Also

- plq_function

### Authors

`Mike Trienis`, University of British Columbia, BC, Canada

<< _plq_conv_on_interval | plq | plq_build >>